
/* (c) Copyright G. Attardi, 1993. */
#include <ecl.h>
#include "numlib.h"
init_numlib(int size, object data_stream)
{VT2 CLSR2
	volatile object VVprotect;
	Cblock.cd_start=(char *)init_numlib; Cblock.cd_size=size;
	VVprotect=Cblock.cd_data=read_VV(VV,VM1,data_stream);
	funcall(2,symbol_function(VV[17]),VV[0])  /*  PROCLAIM        */;
	siLAmake_constant(2,VV[1],VV[2])          /*  *MAKE-CONSTANT  */;
	MF0(VV[18],L1);
	MF0(VV[19],L2);
	MF0(VV[20],L3);
	MF0(VV[21],L4);
	VV[4]=string_to_object(VV[4]);
	MF0(VV[22],L5);
	MF0(VV[23],L6);
	MF0(VV[24],L7);
	MF0(VV[25],L8);
	MF0(VV[26],L9);
	MF0(VV[27],L10);
	MF0(VV[28],L11);
	MF0(VV[29],L12);
	MF0(VV[30],L13);
	MF0(VV[13],L14);
	siLfset(2,VV[16],symbol_function(VV[13])) /*  FSET            */;
	MF0(VV[31],L15);
	MF0(VV[32],L16);
	MF0(VV[33],L17);
	MF0(VV[34],L18);
	MF0(VV[35],L19);
	MF0(VV[36],L20);
	MF0(VV[37],L21);
	MF0(VV[38],L22);
	MF0(VV[39],L23);
	MF0(VV[40],L24);
	MF0(VV[41],L25);
	MF0(VV[42],L26);
	MF0(VV[43],L27);
	MF0(VV[44],L28);
	MF0(VV[45],L29);
	MF0(VV[46],L30);
	MF0(VV[47],L31);
	MF0(VV[48],L32);
	MF0(VV[49],L33);
	MF0(VV[50],L34);
}
/*	function definition for ISQRT                                 */
static L1(int narg, object V1)
{ VT3 VLEX3 CLSR3
	cs_check;
	check_arg(1);
TTL:
	if(!(type_of((V1))==t_fixnum||type_of((V1))==t_bignum)){
	goto L6;}
	if(number_compare((V1),MAKE_FIXNUM(0))>=0){
	goto L5;}
L6:
	Lerror(2,VV[3],(V1))                      /*  ERROR           */;
L5:
	if(!(number_compare(MAKE_FIXNUM(0),(V1))==0)){
	goto L11;}
	VALUES(0) = MAKE_FIXNUM(0);
	RETURN(1);
L11:
	{int V2;                                  /*  N               */
	Linteger_length(1,(V1))                   /*  INTEGER-LENGTH  */;
	V2= fix(VALUES(0));
	{register object V3;                      /*  X               */
	register object V4;                       /*  Y               */
	Lceiling(2,MAKE_FIXNUM(V2),MAKE_FIXNUM(2))/*  CEILING         */;
	Lash(2,MAKE_FIXNUM(1),VALUES(0))          /*  ASH             */;
	V3= VALUES(0);
	V4= Cnil;
L17:
	Lfloor(2,(V1),(V3))                       /*  FLOOR           */;
	V4= VALUES(0);
	if(!(number_compare((V3),(V4))<=0)){
	goto L21;}
	VALUES(0) = (V3);
	RETURN(1);
L21:
	Lfloor(2,number_plus((V3),(V4)),MAKE_FIXNUM(2))/*  FLOOR      */;
	V3= VALUES(0);
	goto L17;
	}
	}
}
/*	function definition for ABS                                   */
static L2(int narg, object V1)
{ VT4 VLEX4 CLSR4
	cs_check;
	check_arg(1);
TTL:
	Lcomplexp(1,(V1))                         /*  COMPLEXP        */;
	if(VALUES(0)==Cnil){
	goto L29;}
	{register object V2;                      /*  X               */
	register object V3;                       /*  Y               */
	Lrealpart(1,(V1))                         /*  REALPART        */;
	L2(1,VALUES(0))                           /*  ABS             */;
	V2= VALUES(0);
	Limagpart(1,(V1))                         /*  IMAGPART        */;
	L2(1,VALUES(0))                           /*  ABS             */;
	V3= VALUES(0);
	if(!(number_compare((V2),(V3))<0)){
	goto L35;}
	{object V4;
	object V5;
	V4= (V3);
	V5= (V2);
	V2= (V4);
	V3= (V5);
	}
L35:
	if(!(number_compare(MAKE_FIXNUM(0),(V2))==0)){
	goto L45;}
	VALUES(0) = (V2);
	RETURN(1);
L45:
	{object V4;                               /*  R               */
	V4= number_divide((V3),(V2));
	Lsqrt(1,number_plus(MAKE_FIXNUM(1),number_times((V4),(V4))))/*  SQRT*/;
	VALUES(0) = number_times((V2),VALUES(0));
	RETURN(1);
	}
	}
L29:
	if(!(number_compare(MAKE_FIXNUM(0),(V1))>0)){
	goto L50;}
	VALUES(0) = number_negate((V1));
	RETURN(1);
L50:
	VALUES(0) = (V1);
	RETURN(1);
}
/*	function definition for PHASE                                 */
static L3(int narg, object V1)
{ VT5 VLEX5 CLSR5
	cs_check;
	check_arg(1);
TTL:
	Limagpart(1,(V1))                         /*  IMAGPART        */;
	T0= VALUES(0);
	Lrealpart(1,(V1))                         /*  REALPART        */;
	RETURN(Latan(2,T0,VALUES(0))              /*  ATAN            */);
}
/*	function definition for SIGNUM                                */
static L4(int narg, object V1)
{ VT6 VLEX6 CLSR6
	cs_check;
	check_arg(1);
TTL:
	if(!(number_compare(MAKE_FIXNUM(0),(V1))==0)){
	goto L55;}
	VALUES(0) = (V1);
	RETURN(1);
L55:
	L2(1,(V1))                                /*  ABS             */;
	VALUES(0) = number_divide((V1),VALUES(0));
	RETURN(1);
}
/*	function definition for CIS                                   */
static L5(int narg, object V1)
{ VT7 VLEX7 CLSR7
	cs_check;
	check_arg(1);
TTL:
	RETURN(Lexp(1,number_times(VV[4],(V1)))   /*  EXP             */);
}
/*	function definition for ASIN                                  */
static L6(int narg, object V1)
{ VT8 VLEX8 CLSR8
	cs_check;
	check_arg(1);
TTL:
	{register object V2;                      /*  C               */
	{object V3= number_times(VV[4],(V1));
	Lsqrt(1,number_minus(VV[5],number_times((V1),(V1))))/*  SQRT  */;
	Llog(1,number_plus((V3),VALUES(0)))       /*  LOG             */;
	V2= VALUES(0);}
	Lcomplexp(1,(V2))                         /*  COMPLEXP        */;
	if(VALUES(0)==Cnil){
	goto L61;}
	Lrealpart(1,(V2))                         /*  REALPART        */;
	if(!(number_compare(MAKE_FIXNUM(0),VALUES(0))==0)){
	goto L61;}
	RETURN(Limagpart(1,(V2))                  /*  IMAGPART        */);
L61:
	VALUES(0) = number_times(VV[6],(V2));
	RETURN(1);
	}
}
/*	function definition for ACOS                                  */
static L7(int narg, object V1)
{ VT9 VLEX9 CLSR9
	cs_check;
	check_arg(1);
TTL:
	{register object V2;                      /*  C               */
	Lsqrt(1,number_minus(VV[5],number_times((V1),(V1))))/*  SQRT  */;
	Llog(1,number_plus((V1),number_times(VV[4],VALUES(0))))/*  LOG*/;
	V2= VALUES(0);
	Lcomplexp(1,(V2))                         /*  COMPLEXP        */;
	if(VALUES(0)==Cnil){
	goto L69;}
	Lrealpart(1,(V2))                         /*  REALPART        */;
	if(!(number_compare(MAKE_FIXNUM(0),VALUES(0))==0)){
	goto L69;}
	RETURN(Limagpart(1,(V2))                  /*  IMAGPART        */);
L69:
	VALUES(0) = number_times(VV[6],(V2));
	RETURN(1);
	}
}
/*	function definition for SINH                                  */
static L8(int narg, object V1)
{ VT10 VLEX10 CLSR10
	cs_check;
	check_arg(1);
TTL:
	Lcomplexp(1,(V1))                         /*  COMPLEXP        */;
	if(VALUES(0)==Cnil){
	goto L75;}
	{object V2;                               /*  X               */
	object V3;
	object V4;                                /*  Y               */
	Lrealpart(1,(V1))                         /*  REALPART        */;
	V3= VALUES(0);
	Limagpart(1,(V1))                         /*  IMAGPART        */;
	V4= VALUES(0);
	V2= V3;
	L8(1,(V2))                                /*  SINH            */;
	T0= VALUES(0);
	Lcos(1,(V4))                              /*  COS             */;
	{object V5= number_times(T0,VALUES(0));
	L9(1,(V2))                                /*  COSH            */;
	T1= VALUES(0);
	Lsin(1,(V4))                              /*  SIN             */;
	RETURN(Lcomplex(2,(V5),number_times(T1,VALUES(0)))/*  COMPLEX */);}
	}
L75:
	{double V6;                               /*  LIMIT           */
	V6= 1.2127084659392670e-3;
	Lmonotonically_increasing(3,make_longfloat(-(double)(V6)),(V1),make_longfloat(V6))/*  <*/;
	if(VALUES(0)==Cnil){
	goto L85;}
	Lexp(1,(V1))                              /*  EXP             */;
	T0= VALUES(0);
	RETURN(Ltimes(3,(V1),T0,number_minus(MAKE_FIXNUM(1),number_times((V1),number_minus(MAKE_FIXNUM(1),number_times((V1),number_minus(VV[8],number_times((V1),number_minus(VV[9],number_times(VV[10],(V1))))))))))/*  **/);
L85:
	{object V7;                               /*  E               */
	Lexp(1,(V1))                              /*  EXP             */;
	V7= VALUES(0);
	Ldivide(1,(V7))                           /*  /               */;
	VALUES(0) = number_divide(number_minus((V7),VALUES(0)),VV[11]);
	RETURN(1);
	}
	}
}
/*	function definition for COSH                                  */
static L9(int narg, object V1)
{ VT11 VLEX11 CLSR11
	cs_check;
	check_arg(1);
TTL:
	Lcomplexp(1,(V1))                         /*  COMPLEXP        */;
	if(VALUES(0)==Cnil){
	goto L91;}
	{object V2;                               /*  X               */
	object V3;
	object V4;                                /*  Y               */
	Lrealpart(1,(V1))                         /*  REALPART        */;
	V3= VALUES(0);
	Limagpart(1,(V1))                         /*  IMAGPART        */;
	V4= VALUES(0);
	V2= V3;
	L9(1,(V2))                                /*  COSH            */;
	T0= VALUES(0);
	Lcos(1,(V4))                              /*  COS             */;
	{object V5= number_times(T0,VALUES(0));
	L8(1,(V2))                                /*  SINH            */;
	T1= VALUES(0);
	Lsin(1,(V4))                              /*  SIN             */;
	RETURN(Lcomplex(2,(V5),number_times(T1,VALUES(0)))/*  COMPLEX */);}
	}
L91:
	{object V6;                               /*  E               */
	Lexp(1,(V1))                              /*  EXP             */;
	V6= VALUES(0);
	Ldivide(1,(V6))                           /*  /               */;
	VALUES(0) = number_divide(number_plus((V6),VALUES(0)),VV[11]);
	RETURN(1);
	}
}
/*	function definition for TANH                                  */
static L10(int narg, object V1)
{ VT12 VLEX12 CLSR12
	cs_check;
	check_arg(1);
TTL:
	L8(1,(V1))                                /*  SINH            */;
	T0= VALUES(0);
	L9(1,(V1))                                /*  COSH            */;
	VALUES(0) = number_divide(T0,VALUES(0));
	RETURN(1);
}
/*	function definition for ASINH                                 */
static L11(int narg, object V1)
{ VT13 VLEX13 CLSR13
	cs_check;
	check_arg(1);
TTL:
	Lsqrt(1,number_plus(VV[5],number_times((V1),(V1))))/*  SQRT   */;
	RETURN(Llog(1,number_plus((V1),VALUES(0)))/*  LOG             */);
}
/*	function definition for ACOSH                                 */
static L12(int narg, object V1)
{ VT14 VLEX14 CLSR14
	cs_check;
	check_arg(1);
TTL:
	Lsqrt(1,number_divide(one_plus((V1)),MAKE_FIXNUM(2)))/*  SQRT */;
	T0= VALUES(0);
	Lsqrt(1,number_divide(one_minus((V1)),MAKE_FIXNUM(2)))/*  SQRT*/;
	Llog(1,number_plus(T0,VALUES(0)))         /*  LOG             */;
	VALUES(0) = number_times(MAKE_FIXNUM(2),VALUES(0));
	RETURN(1);
}
/*	function definition for ATANH                                 */
static L13(int narg, object V1)
{ VT15 VLEX15 CLSR15
	cs_check;
	check_arg(1);
TTL:
	Llog(1,one_plus((V1)))                    /*  LOG             */;
	T0= VALUES(0);
	Llog(1,number_minus(MAKE_FIXNUM(1),(V1))) /*  LOG             */;
	VALUES(0) = number_divide(number_minus(T0,VALUES(0)),MAKE_FIXNUM(2));
	RETURN(1);
}
/*	function definition for RATIONAL                              */
static L14(int narg, object V1)
{ VT16 VLEX16 CLSR16
	cs_check;
	check_arg(1);
TTL:
	{object V2;
	V2= (V1);
	(*LK0)(2,(V2),VV[12])                     /*  TYPEP           */;
	if(VALUES(0)==Cnil){
	goto L110;}
	{ int V3;
	object V4;                                /*  I               */
	object V5;                                /*  E               */
	object V6;                                /*  S               */
	V3=Linteger_decode_float(1,(V1))          /*  INTEGER-DECODE-FLOAT*/;
	if (V3--==0) goto L113;
	V4= VALUES(0);
	if (V3--==0) goto L114;
	V5= VALUES(1);
	if (V3--==0) goto L115;
	V6= VALUES(2);
	goto L116;
L113:
	V4= Cnil;
L114:
	V5= Cnil;
L115:
	V6= Cnil;
L116:
	if(!(number_compare((V6),MAKE_FIXNUM(0))>=0)){
	goto L118;}
	Lfloat_radix(1,(V1))                      /*  FLOAT-RADIX     */;
	VALUES(0) = number_times((V4),number_expt(VALUES(0),(V5)));
	RETURN(1);
L118:
	Lfloat_radix(1,(V1))                      /*  FLOAT-RADIX     */;
	VALUES(0) = number_negate(number_times((V4),number_expt(VALUES(0),(V5))));
	RETURN(1);}
L110:
	(*LK0)(2,(V2),VV[13])                     /*  TYPEP           */;
	if(VALUES(0)==Cnil){
	goto L123;}
	VALUES(0) = (V1);
	RETURN(1);
L123:
	(*LK1)(3,VV[14],(V2),VV[15])              /*  TYPECASE-ERROR-STRING*/;
	RETURN(Lerror(1,VALUES(0))                /*  ERROR           */);
	}
}
/*	function definition for FFLOOR                                */
static L15(int narg, object V1, ...)
{ VT17 VLEX17 CLSR17
	cs_check;
	{int i=1;
	object V2;
	va_list args; va_start(args, V1);
	if(narg<1) FEtoo_few_arguments(&narg);
	if(narg>2) FEtoo_many_arguments(&narg);
	if (i==narg) goto L126;
	V2= va_arg(args, object);
	goto L127;
L126:
	V2= VV[5];
L127:
	{ int V3;
	object V4;                                /*  I               */
	object V5;                                /*  R               */
	V3=Lfloor(2,make_shortfloat((sf((Lfloat(1,(V1)),VALUES(0))))),make_shortfloat((sf((Lfloat(1,(V2)),VALUES(0))))))/*  FLOOR*/;
	if (V3--==0) goto L130;
	V4= VALUES(0);
	if (V3--==0) goto L131;
	V5= VALUES(1);
	goto L132;
L130:
	V4= Cnil;
L131:
	V5= Cnil;
L132:
	Lfloat(2,(V4),(V5))                       /*  FLOAT           */;
	VALUES(1) = (V5);
	VALUES(0) = VALUES(0);
	RETURN(2);}
	}
}
/*	function definition for FCEILING                              */
static L16(int narg, object V1, ...)
{ VT18 VLEX18 CLSR18
	cs_check;
	{int i=1;
	object V2;
	va_list args; va_start(args, V1);
	if(narg<1) FEtoo_few_arguments(&narg);
	if(narg>2) FEtoo_many_arguments(&narg);
	if (i==narg) goto L134;
	V2= va_arg(args, object);
	goto L135;
L134:
	V2= VV[5];
L135:
	{ int V3;
	object V4;                                /*  I               */
	object V5;                                /*  R               */
	V3=Lceiling(2,make_shortfloat((sf((Lfloat(1,(V1)),VALUES(0))))),make_shortfloat((sf((Lfloat(1,(V2)),VALUES(0))))))/*  CEILING*/;
	if (V3--==0) goto L138;
	V4= VALUES(0);
	if (V3--==0) goto L139;
	V5= VALUES(1);
	goto L140;
L138:
	V4= Cnil;
L139:
	V5= Cnil;
L140:
	Lfloat(2,(V4),(V5))                       /*  FLOAT           */;
	VALUES(1) = (V5);
	VALUES(0) = VALUES(0);
	RETURN(2);}
	}
}
/*	function definition for FTRUNCATE                             */
static L17(int narg, object V1, ...)
{ VT19 VLEX19 CLSR19
	cs_check;
	{int i=1;
	object V2;
	va_list args; va_start(args, V1);
	if(narg<1) FEtoo_few_arguments(&narg);
	if(narg>2) FEtoo_many_arguments(&narg);
	if (i==narg) goto L142;
	V2= va_arg(args, object);
	goto L143;
L142:
	V2= VV[5];
L143:
	{ int V3;
	object V4;                                /*  I               */
	object V5;                                /*  R               */
	V3=Ltruncate(2,make_shortfloat((sf((Lfloat(1,(V1)),VALUES(0))))),make_shortfloat((sf((Lfloat(1,(V2)),VALUES(0))))))/*  TRUNCATE*/;
	if (V3--==0) goto L146;
	V4= VALUES(0);
	if (V3--==0) goto L147;
	V5= VALUES(1);
	goto L148;
L146:
	V4= Cnil;
L147:
	V5= Cnil;
L148:
	Lfloat(2,(V4),(V5))                       /*  FLOAT           */;
	VALUES(1) = (V5);
	VALUES(0) = VALUES(0);
	RETURN(2);}
	}
}
/*	function definition for FROUND                                */
static L18(int narg, object V1, ...)
{ VT20 VLEX20 CLSR20
	cs_check;
	{int i=1;
	object V2;
	va_list args; va_start(args, V1);
	if(narg<1) FEtoo_few_arguments(&narg);
	if(narg>2) FEtoo_many_arguments(&narg);
	if (i==narg) goto L150;
	V2= va_arg(args, object);
	goto L151;
L150:
	V2= VV[5];
L151:
	{ int V3;
	object V4;                                /*  I               */
	object V5;                                /*  R               */
	V3=Lround(2,make_shortfloat((sf((Lfloat(1,(V1)),VALUES(0))))),make_shortfloat((sf((Lfloat(1,(V2)),VALUES(0))))))/*  ROUND*/;
	if (V3--==0) goto L154;
	V4= VALUES(0);
	if (V3--==0) goto L155;
	V5= VALUES(1);
	goto L156;
L154:
	V4= Cnil;
L155:
	V5= Cnil;
L156:
	Lfloat(2,(V4),(V5))                       /*  FLOAT           */;
	VALUES(1) = (V5);
	VALUES(0) = VALUES(0);
	RETURN(2);}
	}
}
/*	function definition for LOGNAND                               */
static L19(int narg, object V1, object V2)
{ VT21 VLEX21 CLSR21
	cs_check;
	check_arg(2);
TTL:
	RETURN(Lboole(3,MAKE_FIXNUM(14),(V1),(V2))/*  BOOLE           */);
}
/*	function definition for LOGNOR                                */
static L20(int narg, object V1, object V2)
{ VT22 VLEX22 CLSR22
	cs_check;
	check_arg(2);
TTL:
	RETURN(Lboole(3,MAKE_FIXNUM(8),(V1),(V2)) /*  BOOLE           */);
}
/*	function definition for LOGANDC1                              */
static L21(int narg, object V1, object V2)
{ VT23 VLEX23 CLSR23
	cs_check;
	check_arg(2);
TTL:
	RETURN(Lboole(3,MAKE_FIXNUM(4),(V1),(V2)) /*  BOOLE           */);
}
/*	function definition for LOGANDC2                              */
static L22(int narg, object V1, object V2)
{ VT24 VLEX24 CLSR24
	cs_check;
	check_arg(2);
TTL:
	RETURN(Lboole(3,MAKE_FIXNUM(2),(V1),(V2)) /*  BOOLE           */);
}
/*	function definition for LOGORC1                               */
static L23(int narg, object V1, object V2)
{ VT25 VLEX25 CLSR25
	cs_check;
	check_arg(2);
TTL:
	RETURN(Lboole(3,MAKE_FIXNUM(13),(V1),(V2))/*  BOOLE           */);
}
/*	function definition for LOGORC2                               */
static L24(int narg, object V1, object V2)
{ VT26 VLEX26 CLSR26
	cs_check;
	check_arg(2);
TTL:
	RETURN(Lboole(3,MAKE_FIXNUM(11),(V1),(V2))/*  BOOLE           */);
}
/*	function definition for LOGNOT                                */
static L25(int narg, object V1)
{ VT27 VLEX27 CLSR27
	cs_check;
	check_arg(1);
TTL:
	RETURN(Llogxor(2,MAKE_FIXNUM(-1),(V1))    /*  LOGXOR          */);
}
/*	function definition for LOGTEST                               */
static L26(int narg, object V1, object V2)
{ VT28 VLEX28 CLSR28
	cs_check;
	check_arg(2);
TTL:
	Llogand(2,(V1),(V2))                      /*  LOGAND          */;
	VALUES(0) = (((number_compare(MAKE_FIXNUM(0),VALUES(0))==0?Ct:Cnil))==Cnil?Ct:Cnil);
	RETURN(1);
}
/*	function definition for BYTE                                  */
static L27(int narg, object V1, object V2)
{ VT29 VLEX29 CLSR29
	cs_check;
	check_arg(2);
TTL:
	VALUES(0) = CONS((V1),(V2));
	RETURN(1);
}
/*	function definition for BYTE-SIZE                             */
static L28(int narg, object V1)
{ VT30 VLEX30 CLSR30
	cs_check;
	check_arg(1);
TTL:
	VALUES(0) = car((V1));
	RETURN(1);
}
/*	function definition for BYTE-POSITION                         */
static L29(int narg, object V1)
{ VT31 VLEX31 CLSR31
	cs_check;
	check_arg(1);
TTL:
	VALUES(0) = cdr((V1));
	RETURN(1);
}
/*	function definition for LDB                                   */
static L30(int narg, object V1, object V2)
{ VT32 VLEX32 CLSR32
	cs_check;
	check_arg(2);
TTL:
	L29(1,(V1))                               /*  BYTE-POSITION   */;
	Lash(2,(V2),number_negate(VALUES(0)))     /*  ASH             */;
	T0= VALUES(0);
	L28(1,(V1))                               /*  BYTE-SIZE       */;
	Lash(2,MAKE_FIXNUM(1),VALUES(0))          /*  ASH             */;
	RETURN(L22(2,T0,number_negate(VALUES(0))) /*  LOGANDC2        */);
}
/*	function definition for LDB-TEST                              */
static L31(int narg, object V1, object V2)
{ VT33 VLEX33 CLSR33
	cs_check;
	check_arg(2);
TTL:
	L30(2,(V1),(V2))                          /*  LDB             */;
	VALUES(0) = (((number_compare(MAKE_FIXNUM(0),VALUES(0))==0?Ct:Cnil))==Cnil?Ct:Cnil);
	RETURN(1);
}
/*	function definition for MASK-FIELD                            */
static L32(int narg, object V1, object V2)
{ VT34 VLEX34 CLSR34
	cs_check;
	check_arg(2);
TTL:
	L30(2,(V1),(V2))                          /*  LDB             */;
	T0= VALUES(0);
	L29(1,(V1))                               /*  BYTE-POSITION   */;
	RETURN(Lash(2,T0,VALUES(0))               /*  ASH             */);
}
/*	function definition for DPB                                   */
static L33(int narg, object V1, object V2, object V3)
{ VT35 VLEX35 CLSR35
	cs_check;
	check_arg(3);
TTL:
	L32(2,(V2),(V3))                          /*  MASK-FIELD      */;
	T0= VALUES(0);
	L28(1,(V2))                               /*  BYTE-SIZE       */;
	Lash(2,MAKE_FIXNUM(1),VALUES(0))          /*  ASH             */;
	L22(2,(V1),number_negate(VALUES(0)))      /*  LOGANDC2        */;
	T1= VALUES(0);
	L29(1,(V2))                               /*  BYTE-POSITION   */;
	Lash(2,T1,VALUES(0))                      /*  ASH             */;
	RETURN(Llogxor(3,(V3),T0,VALUES(0))       /*  LOGXOR          */);
}
/*	function definition for DEPOSIT-FIELD                         */
static L34(int narg, object V1, object V2, object V3)
{ VT36 VLEX36 CLSR36
	cs_check;
	check_arg(3);
TTL:
	L29(1,(V2))                               /*  BYTE-POSITION   */;
	Lash(2,(V1),number_negate(VALUES(0)))     /*  ASH             */;
	RETURN(L33(3,VALUES(0),(V2),(V3))         /*  DPB             */);
}
static LKF1(int narg, ...) {TRAMPOLINK(VV[52],&LK1);}
static LKF0(int narg, ...) {TRAMPOLINK(VV[51],&LK0);}
